Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.control
Enum TaskBaseAnnotations.FieldName

    java.lang.Object
      java.lang.Enum<TaskBaseAnnotations.FieldName>
          com.bea.control.TaskBaseAnnotations.FieldName

All Implemented Interfaces:
  Serializable, Comparable<TaskBaseAnnotations.FieldName>

Enclosing interface:
  TaskBaseAnnotations

    public static enum TaskBaseAnnotations.FieldName

extends Enum<TaskBaseAnnotations.FieldName>

Enum Constant Summary
`canBeAborted`
`canBeReassigned`
`canBeReturned`
`claimDueDate`
`comment`
`completionDueDate`
`description`
`name`
`owner`
`priority`
`request`
`requestMimeType`
`response`
`responseMimeType`

Method Summary
`static TaskBaseAnnotations.FieldName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TaskBaseAnnotations.FieldName[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### name

    public static final TaskBaseAnnotations.FieldName name

### description

    public static final TaskBaseAnnotations.FieldName description

### comment

    public static final TaskBaseAnnotations.FieldName comment

### priority

    public static final TaskBaseAnnotations.FieldName priority

### owner

    public static final TaskBaseAnnotations.FieldName owner

### canBeReassigned

    public static final TaskBaseAnnotations.FieldName canBeReassigned

### canBeReturned

    public static final TaskBaseAnnotations.FieldName canBeReturned

### canBeAborted

    public static final TaskBaseAnnotations.FieldName canBeAborted

### claimDueDate

    public static final TaskBaseAnnotations.FieldName claimDueDate

### completionDueDate

    public static final TaskBaseAnnotations.FieldName completionDueDate

### request

    public static final TaskBaseAnnotations.FieldName request

### requestMimeType

    public static final TaskBaseAnnotations.FieldName requestMimeType

### response

    public static final TaskBaseAnnotations.FieldName response

### responseMimeType

    public static final TaskBaseAnnotations.FieldName responseMimeType

Method Detail

### values

    public static final TaskBaseAnnotations.FieldName[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TaskBaseAnnotations.FieldName c : TaskBaseAnnotations.FieldName.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TaskBaseAnnotations.FieldName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD